function modAnEntry(anEntry,name){
	if (name.length != 0) {
		anEntry[0] = true;
		anEntry[1] = name;
		anEntry[2] = name;
	}
}

var aPatrolNameList = new Array(40); 
for (i = 0; i < 40; i ++){
	aPatrolNameList[i] = new Array(false, "", i);
}

for(var i = 0; i < 40 ; i ++){
  var test;
  test = eval("camctrl_patrolname_"+i);  
  if( test )
    modAnEntry(aPatrolNameList[i],test);     
  else{
    break;
  }

}
